Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.http
Class ProxyUtils

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.http.ProxyUtils

    public class ProxyUtils

extends java.lang.Object

Utilities for setting proxy-servers corectly

Author:
  ole.matzura

Constructor Summary
`ProxyUtils()`

Method Summary
`static boolean` | `excludes(java.lang.String[] excludes, java.lang.String proxyHost, int proxyPort)`
`static org.apache.commons.httpclient.HostConfiguration` | `initProxySettings(Settings settings, org.apache.commons.httpclient.HttpState httpState, org.apache.commons.httpclient.HostConfiguration hostConfiguration, java.lang.String urlString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyUtils

    public ProxyUtils()

Method Detail

### initProxySettings

    public static org.apache.commons.httpclient.HostConfiguration initProxySettings(Settings settings,
                                                                                    org.apache.commons.httpclient.HttpState httpState,
                                                                                    org.apache.commons.httpclient.HostConfiguration hostConfiguration,
                                                                                    java.lang.String urlString)

### excludes

    public static boolean excludes(java.lang.String[] excludes,
                                   java.lang.String proxyHost,
                                   int proxyPort)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.